# Email Options Object

The “Email” parameter type provides a form element that does email validation out-of-the-box following RFC 5322 guides.

<table><thead><tr><th width="185">Field</th><th width="215">Type</th><th>Description</th></tr></thead><tbody><tr><td>name</td><td><code>string</code></td><td><p>The label of the widget. </p><p>Example: Email</p></td></tr><tr><td>placeholderText</td><td><code>string</code></td><td><p>Provides default text within the control when no selection is not made. </p><p>Example: email@org.com</p></td></tr><tr><td>hintText</td><td><code>string</code></td><td><p>Provides help text describing what value is expected in control. </p><p>Example: Enter email address</p></td></tr><tr><td>defaultValue</td><td><code>none</code> or <code>currentlySignedInUser</code></td><td>(optional) Default value.</td></tr></tbody></table>

### Example <a href="#example" id="example"></a>

{% code lineNumbers="true" %}

```json
{
  "name": "Email",
  "placeholderText": "email@org.com",
  "hintText": "Enter email address",
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/catalog-api/parameter/email-options-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
